XnStack.h File Reference
`#include "XnList.h"`

Go to the source code of this file.

## Classes

class | XnStack

## Macros

#define | XN_DECLARE_STACK_WITH_TRANSLATOR_DECL(decl, Type, ClassName, Translator)
#define | XN_DECLARE_STACK_WITH_TRANSLATOR(Type, ClassName, Translator)
#define | XN_DECLARE_STACK_DECL(decl, Type, ClassName)
#define | XN_DECLARE_STACK(Type, ClassName)

## Macro Definition Documentation

## XN_DECLARE_STACK

#define XN_DECLARE_STACK | ( |  | Type,
|  |  | ClassName )

Value:
XN_DECLARE_STACK_DECL(, Type, ClassName)
XN_DECLARE_STACK_DECL
#define XN_DECLARE_STACK_DECL(decl, Type, ClassName)
Definition XnStack.h:140

Declares a stack of type Type, named ClassName, that uses the default translator.

## XN_DECLARE_STACK_DECL

#define XN_DECLARE_STACK_DECL | ( |  | decl,
|  |  | Type,
|  |  | ClassName )

Value:
XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL(decl, Type, XN_DEFAULT_TRANSLATOR_NAME(ClassName)) \
XN_DECLARE_STACK_WITH_TRANSLATOR_DECL(decl, Type, ClassName, XN_DEFAULT_TRANSLATOR_NAME(ClassName))
XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL
#define XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL(decl, Type, ClassName)
Definition XnDataTypes.h:42
XN_DEFAULT_TRANSLATOR_NAME
#define XN_DEFAULT_TRANSLATOR_NAME(ClassName)
Definition XnDataTypes.h:118

Declares a stack of type Type, named ClassName, that uses the default translator. It is declared using the declspec decl.

## XN_DECLARE_STACK_WITH_TRANSLATOR

#define XN_DECLARE_STACK_WITH_TRANSLATOR | ( |  | Type,
|  |  | ClassName,
|  |  | Translator )

Value:
XN_DECLARE_STACK_WITH_TRANSLATOR_DECL(, ClassName, Translator)
XN_DECLARE_STACK_WITH_TRANSLATOR_DECL
#define XN_DECLARE_STACK_WITH_TRANSLATOR_DECL(decl, Type, ClassName, Translator)
Definition XnStack.h:125

Declares a stack of type Type, named ClassName. The class uses Translator for translating from Type to XnValue.

## XN_DECLARE_STACK_WITH_TRANSLATOR_DECL

#define XN_DECLARE_STACK_WITH_TRANSLATOR_DECL | ( |  | decl,
|  |  | Type,
|  |  | ClassName,
|  |  | Translator )

Value:
/* Note: we use queue declaration, as this is the same interface. */ \
XN_DECLARE_QUEUE_WITH_TRANSLATOR_DECL(decl, Type, ClassName, Translator, XnStack)
XnStack
Definition XnStack.h:37

Declares a stack of type Type, named ClassName. The class uses Translator for translating from Type to XnValue. It is declared using the declspec decl.